import react from 'react';
import { IonButton, IonIcon } from '@ionic/react';
import { arrowForwardCircleOutline } from 'ionicons/icons';
import './BackForward.css';

export interface ForwardProperties {}

export const Forward: react.FC<ForwardProperties> = (props: ForwardProperties) => {
  const onClickHandler = (event: any) => {
    window.history.forward();
  };

  return (
    <IonButton
      onClick={onClickHandler}
      size='large'
      className='back-forward'
      shape='round'
      fill='solid'
    >
      <IonIcon slot='icon-only' icon={arrowForwardCircleOutline} />
    </IonButton>
  );
};

export default Forward;
